Bug 221074

Summary: Support for aria-current state changed notifications.
Product: WebKit Reporter: Andres Gonzalez <andresg_22>
Component: New BugsAssignee: Andres Gonzalez <andresg_22>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, cfleizach, dmazzoni, ews-watchlist, jcraig, jdiggs, samuel_white, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=221447
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Andres Gonzalez 2021-01-27 18:56:42 PST
Support for aria-current state changed notifications.
Comment 1 Andres Gonzalez 2021-01-27 19:27:34 PST
Created attachment 418607 [details]
Patch
Comment 2 chris fleizach 2021-01-27 19:32:41 PST
Comment on attachment 418607 [details]
Patch

Anything testing the domIdentifier?
Comment 3 Andres Gonzalez 2021-01-27 19:51:08 PST
(In reply to chris fleizach from comment #2)
> Comment on attachment 418607 [details]
> Patch
> 
> Anything testing the domIdentifier?

In the test's accessibilityController event listener, we are doing:

            debug(notification + " notification for " + element.domIdentifier);

where element is an accessible element.

this ensures we are getting the right notification for the right element. this can be handy in a lot of other tests.
Comment 4 chris fleizach 2021-01-27 21:32:23 PST
Looks like some build failures
Comment 5 Andres Gonzalez 2021-01-28 06:37:42 PST
Created attachment 418641 [details]
Patch
Comment 6 Andres Gonzalez 2021-01-28 19:10:48 PST
Created attachment 418696 [details]
Patch
Comment 7 EWS 2021-01-29 11:08:05 PST
Committed r272067: <https://trac.webkit.org/changeset/272067>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 418696 [details].
Comment 8 Radar WebKit Bug Importer 2021-01-29 11:09:13 PST
<rdar://problem/73762907>